package com.tencent.mm.plugin.appbrand.jsapi.bio.soter;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandMainProcessService;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.r.h;
import com.tencent.mm.sdk.platformtools.ab;
import org.json.JSONObject;

public final class JsApiCheckBioEnrollment extends a {
    public static final int CTRL_INDEX = 344;
    public static final String NAME = "checkIsSoterEnrolledInDevice";
    private GetIsEnrolledTask hDb = null;

    public final void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(3215);
        ab.i("MicroMsg.JsApiCheckBioEnrollment", "hy: subapp start do check is enrolled");
        this.hDb = new GetIsEnrolledTask(cVar, i, a.AS(jSONObject.optString("checkAuthMode")), this);
        h.bB(this.hDb);
        AppBrandMainProcessService.a(this.hDb);
        AppMethodBeat.o(3215);
    }
}
